package com.propertyManagement.business.service;

import com.propertyManagement.business.domain.WxProtocol;
import com.propertyManagement.business.domain.vo.WxProtocolVo;
import com.propertyManagement.business.domain.bo.WxProtocolBo;
import com.propertyManagement.common.core.page.TableDataInfo;
import com.propertyManagement.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 用户协议Service接口
 *
 * @author liushuai
 * @date 2025-05-24
 */
public interface IWxProtocolService {

    /**
     * 查询用户协议
     */
    WxProtocolVo queryById(Long id);

    /**
     * 查询用户协议列表
     */
    TableDataInfo<WxProtocolVo> queryPageList(WxProtocolBo bo, PageQuery pageQuery);

    /**
     * 查询用户协议列表
     */
    List<WxProtocolVo> queryList(WxProtocolBo bo);

    /**
     * 新增用户协议
     */
    Boolean insertByBo(WxProtocolBo bo);

    /**
     * 修改用户协议
     */
    Boolean updateByBo(WxProtocolBo bo);

    /**
     * 校验并批量删除用户协议信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
